use yew::prelude::*;

#[derive(Properties, PartialEq)]
pub struct McaiLogoPropreties {
  pub height: Option<String>,
}

#[function_component(McaiLogo)]
pub fn mcai_logo(props: &McaiLogoPropreties) -> Html {
  let height = props.height.clone().unwrap_or_default();

  html! {
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 61.36400198279674 60" {height}>
      <g id="b2bab6d2-b48d-418b-8bb4-b02b600eaaf3" transform="matrix(0.7609480771796758,0,0,0.7609480771796758,-7.1072334915549575,-7.886466115724232)" stroke="none" fill="white">
        <switch>
          <g>
            <path d="M89.141 35.617C86.25 22.852 77.844 14.405 68.699 10.364c11.371 10.018 21.846 29.405 8.814 47.069-5.406 7.331-16.217 10.228-20.746 8.184 0 0 7.002-1.487 11.357-5.295 8.469-8.017 11.299-20.932 4.52-32.673a25.839 25.839 0 0 0-3.357-4.575c-.018-.021-.033-.042-.051-.062-4.764-5.683-11.307-9.075-18.337-10.116-9.127-1.715-20.896.515-29.71 8.666C11.58 30.45 8.468 41.953 9.542 51.895c2.989-14.858 14.542-33.622 36.355-31.171 9.053 1.019 16.965 8.932 17.461 13.877 0 0-5.277-8.281-18.365-8.281-.24.004-.747.024-.761.024l-.167.01c-8.51.333-16.783 4.784-21.83 13.526a25.819 25.819 0 0 0-2.284 5.195l-.028.074c-2.539 6.968-2.205 14.33.407 20.938 3.079 8.763 10.896 17.841 22.361 21.397 12.502 3.878 24.02.82 32.092-5.079-14.363 4.837-36.389 4.216-45.173-15.899-3.645-8.35-.749-19.159 3.287-22.061 0 0-4.534 8.71 2.012 20.044 4.482 7.484 12.617 12.658 22.949 12.658.498 0 4.488-.311 5.926-.633l.08-.011c7.303-1.286 13.512-5.256 17.928-10.822 6.05-7.046 10.003-18.356 7.349-30.064z">
            </path>
          </g>
        </switch>
      </g>
    </svg>
  }
}
